QGIS Application - Bug report #8956
Buffers tool does not correctly calculate new shape if "use only selected features™ not selected
2013-10-27 04:02 PM - John L

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.0.1 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 17620
Description

Dataset: congressional voting district data (http://www.census.gov/cgi-bin/geo/shapefilesrd13/main)

Use only selected features: not checked

Segments to approx: 5

Buffer distance to field: Some field with different values per row
Dissolve buffer results: not checked

Im trying to calculate the shape that's the viable interior of each district (exact computation at my website
https://sites.google.com/site/mathagainstgerrymandering/advanced-attributes# TOC-Viable-Interior-Index).

Creating the viable interiors one by one ("use only selected feature") works like a charm, but does not create the correct shape if | try to
calculate for every district at once.

History

#1 - 2013-10-28 05:08 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to 44

Cannot confirm here, please attach sample data and specify the attribute (in the sample data) you used.

#2 - 2013-10-28 01:20 PM - John L

Thank you for looking at this Giovanni - | just looked at it again and found the problem instantly.

The buffers layer | am creating does not have the same projection as the underlying layer. Once | created a new project, re-imported the data, and chose
the appropriate projection, everything worked like a charm.

#3 - 2013-10-28 02:23 PM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Feedback to Closed

The buffers layer | am creating does not have the same projection as the underlying layer.
http://www.census.gov/cgi-bin/geo/shapefilesrd13/main
https://sites.google.com/site/mathagainstgerrymandering/advanced-attributes#TOC-Viable-Interior-Index

this sound strange anyway (I would expect the buffer to be created with the same CRS of the input), but anyway it would be a different issue.

#4 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
